Set node text
curl --request PUT \
--url https://api.melius.com/api/v1/nodes/{nodeId}/custom-text \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-team-id: <api-key>' \
--data '
{
"text": "<string>"
}
'import requests
url = "https://api.melius.com/api/v1/nodes/{nodeId}/custom-text"
payload = { "text": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({text: '<string>'})
};
fetch('https://api.melius.com/api/v1/nodes/{nodeId}/custom-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geometry": {
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"zIndex": 123
},
"groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"activeVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generatedText": "<string>",
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"modelConfig": {
"model": "<string>",
"variant": "<string>",
"tier": "<string>",
"ratios": [
"<string>"
],
"resolution": "<string>",
"voiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"font": {
"familyName": "<string>"
}
},
"sourceToolName": "<string>",
"seed": 1073741823,
"generateAudio": true,
"negativePrompt": "<string>",
"outputDuration": 1,
"textPrompt": "<string>",
"generatedText": "<string>",
"asset": {
"url": "<string>",
"originalUrl": "<string>",
"previewUrl": "<string>",
"fileType": "<string>",
"fileSizeInKb": 1,
"originalWidth": 1,
"originalHeight": 1,
"durationInMs": 1,
"previewExtraLowResolutionUrl": "<string>",
"previewLowResolutionUrl": "<string>",
"previewHighResolutionUrl": "<string>",
"thumbnailUrl": "<string>",
"assetSummary": "<string>",
"assetSummaryDetails": {
"subject": "<string>",
"action": "<string>",
"summary": "<string>"
}
},
"layerCount": 1,
"errorMessage": "<string>",
"favoritedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelDisplayName": "<string>",
"pdfExtraction": {
"summaryText": "<string>",
"extractedImages": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"pageIndex": 1,
"imageIndex": 1
}
],
"extractedImageUrls": [
"<string>"
],
"extractedImageCount": 123
},
"nodeRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorRetryable": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "<string>",
"autoModel": true,
"fastModel": true,
"textPrompt": "<string>",
"modelConfig": {
"model": "<string>",
"variant": "<string>",
"tier": "<string>",
"ratios": [
"<string>"
],
"resolution": "<string>",
"voiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"font": {
"familyName": "<string>"
}
},
"outputDuration": 1,
"seed": 1073741823,
"generateAudio": true,
"modelSupportsEndImage": true,
"modelSupportsReferenceImage": true,
"modelSupportsOptionalStartImage": true,
"modelSupportsAudioInput": true,
"modelGeneratesAudio": true,
"voiceId": "<string>",
"customVoiceId": "<string>",
"negativePrompt": "<string>",
"supportedInputs": [],
"stitchClipOrder": [
"<string>"
],
"stitchAudioOverlays": [
{
"nodeId": "<string>",
"startTimeSeconds": 1,
"trimStartMs": 1,
"trimEndMs": 1
}
],
"stitchClipTrims": {},
"templatePorts": [
{
"direction": "input",
"portId": "<string>",
"label": "<string>",
"handleType": "<string>",
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internalHandle": "<string>",
"required": true,
"maxConnections": 1,
"internalTargets": [
{
"nodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"internalHandle": "<string>"
}
],
"connectedSourceIds": [
"<string>"
],
"top": "<string>"
}
],
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"childNodeIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"magicResizeOutputs": [
{
"layerIndex": 123,
"ratio": "<string>",
"assetId": "<string>",
"assetUrl": "<string>",
"previewUrl": "<string>",
"failed": true
}
]
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}Nodes
Set node text
PUT
/
api
/
v1
/
nodes
/
{nodeId}
/
custom-text
Set node text
Authorizations
A Melius API key (mel_...), sent as Authorization: Bearer <key>.
The team (workspace) to act on. Defaults to the key's team when omitted.
Path Parameters
Body
application/json
Body
Maximum string length:
100000Response
200
Available options:
text, image, video, audio, file, group, custom_text, pdf, composite, stitch, magic_resize Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
21:9, 16:9, 4:3, 5:4, 3:2, 1:1, 2:3, 3:4, 4:5, 9:16, 9:21 Required range:
x > 0Available options:
360p, 480p, 540p, 580p, 720p, 1080p, 1440p, 2160p, 4k, 0.5K, 1K, 2K, 4K, 1k, 2k Required range:
0 <= x <= 2147483647Available options:
image, video Available options:
fit, stretch Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
default, unified, template - Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 9, 2026
⌘I